package us.lakora.brawl.rateconv;

import java.io.File;
import java.util.ArrayList;

public class OutputFormat {
	
	private String displayName;
	private String ext;
	private boolean canLoop;
	
	public OutputFormat(String displayName, String ext, boolean canLoop) {
		this.displayName = displayName;
		this.ext = ext;
		this.canLoop = canLoop;
	}
	
	public String toString() {
		return displayName;
	}
	
	public String getExt() {
		return ext;
	}
	
	public boolean canLoop() {
		return canLoop;
	}
	
	public static ArrayList<OutputFormat> list() {
		ArrayList<OutputFormat> list =  new ArrayList<OutputFormat>(6);
		if (new File(Shared.DSPADPCM_DIR + File.separator + "dspadpcm.exe").exists()) {
			list.add(new OutputFormat("BRSTM (Wii)", "brstm", true));
		}
		list.add(new OutputFormat("LOGG (looping Ogg)", "logg", true));
		if (new File(Shared.SOX_DIR + File.separator + "libmp3lame.dll").exists()) {
			list.add(new OutputFormat("MP3", "mp3", false));
		}
		list.add(new OutputFormat("Ogg Vorbis", "ogg", false));
		list.add(new OutputFormat("FLAC", "flac", false));
		list.add(new OutputFormat("WAV", "wav", false));
		return list;
	}

}
