package us.lakora.brawl.rateconv;

/*****************************************************************************
 *   Copyright 2011 Isaac Schemm
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   
 *   You may obtain a copy of the Apache License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 ****************************************************************************/

import java.awt.Color;
import java.awt.Container;
import java.awt.GridLayout;
import java.awt.LayoutManager;

import javax.swing.JLabel;
import javax.swing.JPanel;

public class ProgressBox extends JPanel {
	/**
	 * 
	 */
	private static final long serialVersionUID = -2837973560786453797L; // To make Eclipse happy

	private Container Panel;

	private LayoutManager Layout;

	private JLabel Status;
	private JLabel Message;

	public ProgressBox() {
		Layout = new GridLayout(2, 1);
		Status = new JLabel();
		Message = new JLabel();
		Panel = this;

		Panel.setLayout(Layout);
		Panel.add(Status);
		Panel.add(Message);

		Panel.setBackground(Color.white);
		Status.setHorizontalAlignment(JLabel.CENTER);
		Status.setForeground(Color.black);
		Status.setText("");
		Message.setHorizontalAlignment(JLabel.CENTER);
		Message.setForeground(Color.black);
		Message.setText("");
	}
	
	public void changeStatus(String s) {
		Status.setText(s);
		Status.setForeground(Color.black);
	}
	
	public void changeStatus(String s, Color c) {
		Status.setText(s);
		Status.setForeground(c);
	}
	
	public void changeMessage(String s) {
		Message.setText(s);
		Message.setForeground(Color.black);
	}
	
	public void changeMessage(String s, Color c) {
		Message.setText(s);
		Message.setForeground(c);
	}

}