package us.lakora.brawl.rateconv.music;

import java.io.File;
import java.io.IOException;

import us.lakora.brawl.rateconv.ProgressBox;

/*****************************************************************************
 *   Copyright 2012 Isaac Schemm
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   
 *   You may obtain a copy of the Apache License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 ****************************************************************************/

/**
 * This class is used for WAV, FLAC and Ogg Vorbis files - basically, files
 * that don't store looping information and can be handled directly by SoX.
 * 
 * It can also be used for MP3 files if SoX can read them. libmad.dll is what
 * enables this.
 */
public class Wav extends NonLoopingMusic {
	
	public Wav(File input) throws MusicFileException, IOException, InterruptedException {
		super(input);

		readValuesWithSox();
	}
	
	public void createTemporaryWavFile(ProgressBox progressBox) {
		super.temporaryWavFile = super.input;
	}
}
